MYTHFRONTEND.REAL(1)

NAME
mythfrontend.real - MythTV Frontend (Real)

DESCRIPTION
mythfrontend version: fixes/36 [v36.0+fixes.20260401.1385cbfc60-0ubuntu1] www.mythtv.org

MythFrontend is the primary playback application for MythTV. It is used for playback of scheduled and live recordings, and management of recording rules.

Misc. Options:

-d, --disable-autodiscovery
    Prevent frontend from using UPnP autodiscovery.

--noupnp
    Disable use of UPnP.

-O, --override-setting
    Override a single setting defined by a key=value pair.

--override-settings-file
    Define a file of key=value pairs to be loaded for setting overrides.

-p, --prompt
    Always prompt for backend selection.

-r, --reset
    Resets appearance settings and language.

-h, --help, --usage
    Display this help printout, or give detailed information of selected option.

--version
    Display version information.

-vrr, --vrr
    Try to enable (1) or disable (0) variable refresh rate (FreeSync or GSync)

Qt Options:

-display, --display
    Qt (QPA) X11 connection name when using xcb (X11) platform plugin

-platform, --platform
    Qt (QPA) platform argument

Logging Options:

--loglevel
    Set the logging level. All log messages at lower levels will be discarded. In descending order: emerg, alert, crit, err, warning, notice, info, debug, trace defaults to info

--loglong
    Use long log format for the console, i.e. show file, line number, etc. in the console log.

--logpath
    Writes logging messages to a file in the directory logpath with filenames in the format: applicationName.date.pid.log. This is typically used in combination with --daemon, and if used in combination with --pidfile, this can be used with log rotators, using the HUP call to inform MythTV to reload the file

-q, --quiet
    Don't log to the console (-q). Don't log anywhere (-q -q)

--syslog
    Set the syslog logging facility. Set to "none" to disable, defaults to none.

--systemd-journal
    Use systemd-journal instead of syslog.

-v, --verbose
    Specify log filtering. Use '-v help' for level info.

User Interface Options:

-geometry, --geometry
    Specify window size and position (WxH[+X+Y])

--mouse-cursor
    Force visibility of the mouse cursor.

--no-mouse-cursor
    Force the mouse cursor to be hidden.

-nw, --no-windowed
    Prevent application from running in a window.

-w, --windowed
    Force application to run in a window.

Startup Behavior Options:

--jumppoint
    Start the frontend at specified jump point.

--runplugin
    Start the frontend within specified plugin.